### A free/open-source library for quantitative finance

Protected Member Functions | Protected Attributes
ConstantYoYOptionletVolatility Class Reference

Constant surface, no K or T dependence. More...

`#include <ql/termstructures/volatility/inflation/yoyinflationoptionletvolatilitystructure.hpp>`

Inheritance diagram for ConstantYoYOptionletVolatility:
[legend]

List of all members.

## Public Member Functions

Constructor
| ConstantYoYOptionletVolatility (const Volatility v, Natural settlementDays, const Calendar &, BusinessDayConvention bdc, const DayCounter &dc, const Period &observationLag, Frequency frequency, bool indexIsInterpolated, Rate minStrike=-1.0, Rate maxStrike=100.0)
| calculate the reference date based on the global evaluation date
Limits
virtual Date | maxDate () const
| the latest date for which the curve can return values
virtual Real | minStrike () const
| the minimum strike for which the term structure can return vols
virtual Real | maxStrike () const
| the maximum strike for which the term structure can return vols

## Protected Member Functions

virtual Volatility | volatilityImpl (Time length, Rate strike) const
| implements the actual volatility calculation in derived classes

## Protected Attributes

Volatility | volatility_
Rate | minStrike_
Rate | maxStrike_

## Detailed Description

Constant surface, no K or T dependence.